Bug 9295 - Can't find guest.so module if auth_builtin is built as module.
Can't find guest.so module if auth_builtin is built as module.
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
4.0.0rc3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 8622
  Show dependency treegraph
 
Reported: 2012-10-16 18:06 UTC by Andreas Schneider
Modified: 2012-10-22 06:59 UTC (History)
0 users

See Also:


Attachments
v4-0-test patch (2.18 KB, patch)
2012-10-18 07:42 UTC, Andreas Schneider
abartlet: review+
Details
Prevent some modules being built as .so files at configure time (1.26 KB, patch)
2012-10-18 08:59 UTC, Andrew Bartlett
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2012-10-16 18:06:00 UTC
If you build samba with auth_builtin as module smbclient can't find guest.so. The auth_builtin.c file provides "builtin" and "guest" as 'auth methods' in the same module.

[global]
workgroup = TESTGROUP
interfaces = 127.0.0.0/8

[myfiles]
path = /home/alex/myfiles
read only = no
guest ok = yes

And then i get:
$ smbclient \\\\localhost\\myfiles
Enter alex's password: 
session setup failed: NT_STATUS_LOGON_FAILURE

Gives me:
Oct 16 13:57:22 fatty smbd[25498]: [2012/10/16 11:57:22.925829,  0]
../source3/auth/auth.c:380(load_auth_module)
Oct 16 13:57:22 fatty smbd[25498]:   load_auth_module: can't find auth method
guest!


This needs either be split, renamed or code removed. Andrew please advice.
Comment 1 Andrew Bartlett 2012-10-18 07:08:31 UTC
auth_builtin should be, as it's name implies, builtin.  

If we do anything here, it should just be to make this impossible to mis-configure, but as it requires special work to break it this way, I really don't think this is a 4.0 blocker.

That said, a patch to make it harder to break should not be hard.
Comment 2 Andreas Schneider 2012-10-18 07:42:14 UTC
Created attachment 8083 [details]
v4-0-test patch
Comment 3 Andreas Schneider 2012-10-18 08:47:08 UTC
The problem occured with:

./configure --with-shared-modules=auth_builtin,auth_sam,auth_unix,auth_winbind,auth_wbc,auth_server,auth_netlogond,auth_script,auth_samba4
Comment 4 Andrew Bartlett 2012-10-18 08:57:34 UTC
Comment on attachment 8083 [details]
v4-0-test patch

Sorry, I don't think that will solve it properly
Comment 5 Andrew Bartlett 2012-10-18 08:59:12 UTC
Created attachment 8085 [details]
Prevent some modules being built as .so files at configure time

This moves the check to the configure time code that prepares the shared/static object list.  (then the original patch can be applied additionally for clarity, but not strictly required).
Comment 6 Andrew Bartlett 2012-10-18 09:06:27 UTC
Comment on attachment 8083 [details]
v4-0-test patch

(sorry)

This is a perfectly reasonable patch, just not the whole solution on it's own.  Tested on master with my other patch.
Comment 7 Andreas Schneider 2012-10-18 09:08:15 UTC
Comment on attachment 8085 [details]
Prevent some modules being built as .so files at configure time

Looks good to me.
Comment 8 Andreas Schneider 2012-10-18 09:18:34 UTC
Karolin, could you please push to master and add the patches to v4-0-test. Thanks.
Comment 9 Karolin Seeger 2012-10-18 09:32:23 UTC
Pushed to autobuild-master.
Waiting for autobuild.
Comment 10 Karolin Seeger 2012-10-22 06:59:39 UTC
(In reply to comment #9)
> Pushed to autobuild-master.
> Waiting for autobuild.

Pushed to autobuild-v4-0-test.
Closing out bug report.

Thanks!